Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class Date

    java.lang.Object
      java.util.Date
          net.fortuna.ical4j.model.Iso8601
              net.fortuna.ical4j.model.Date

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Date>

Direct Known Subclasses:
  DateTime

    public class Date

extends Iso8601

Base class for all representations of time values in RFC2445.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Constructor Summary
`` | `Date()` Default constructor.
`` | `Date(Date date)`
`protected` | `Date(int precision)` Creates a new date instance with the specified precision.
`` | `Date(long time)`
`protected` | `Date(long time, int precision)` Creates a new date instance with the specified precision.
`` | `Date(String value)`

Method Summary

Methods inherited from class net.fortuna.ical4j.model.Iso8601
`getFormat, setTime, toString`

Methods inherited from class java.util.Date
`after, before, clone, compareTo, equals, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Date

    public Date()

  Default constructor.

### Date

    protected Date(int precision)

  Creates a new date instance with the specified precision. This constructor is only intended for use by sub-classes.

  Parameters:
    `precision` -

### Date

    public Date(long time)

Parameters:
  `time` -

### Date

    protected Date(long time,
                   int precision)

  Creates a new date instance with the specified precision. This constructor is only intended for use by sub-classes.

  Parameters:
    `time` -
    `precision` -

### Date

    public Date(Date date)

Parameters:
  `date` -

### Date

    public Date(String value)
         throws ParseException

Parameters:
  `value` -
Throws:
  `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.